# Uses of Class
org.eclipse.swt.widgets.MenuItem

Packages that use MenuItem
Package
Description
org.eclipse.jface.databinding.swt.typed
org.eclipse.swt.ole.win32
SWT Win32 OLE implementation classes.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui.help
Classes for integration with the help support system in the Eclipse Platform User Interface.

## Uses of MenuItem in org.eclipse.jface.databinding.swt.typed

Methods in org.eclipse.jface.databinding.swt.typed that return types with arguments of type MenuItem
Modifier and Type
Method
Description
`static IWidgetValueProperty<MenuItem,Boolean>`
WidgetProperties.`menuItemSelection()`
Returns a value property for observing the selection state of a `MenuItem`.

## Uses of MenuItem in org.eclipse.swt.ole.win32

Methods in org.eclipse.swt.ole.win32 that return MenuItem
Modifier and Type
Method
Description
`MenuItem[]`
OleFrame.`getContainerMenus()`
Returns the application menu items that will appear in the Container location when an OLE Document is in-place activated.
`MenuItem[]`
OleFrame.`getFileMenus()`
Returns the application menu items that will appear in the File location when an OLE Document is in-place activated.
`MenuItem[]`
OleFrame.`getWindowMenus()`
Returns the application menu items that will appear in the Window location when an OLE Document is in-place activated.
Methods in org.eclipse.swt.ole.win32 with parameters of type MenuItem
Modifier and Type
Method
Description
`void`
OleFrame.`setContainerMenus(MenuItem[] containerMenus)`
Specify the menu items that should appear in the Container location when an OLE Document is in-place activated.
`void`
OleFrame.`setFileMenus(MenuItem[] fileMenus)`
Specify the menu items that should appear in the File location when an OLE Document is in-place activated.
`void`
OleFrame.`setWindowMenus(MenuItem[] windowMenus)`
Set the menu items that should appear in the Window location when an OLE Document is in-place activated.

## Uses of MenuItem in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return MenuItem
Modifier and Type
Method
Description
`MenuItem`
Menu.`getDefaultItem()`
Returns the default menu item or null if none has been previously set.
`MenuItem`
Menu.`getItem(int index)`
Returns the item at the given, zero-relative index in the receiver.
`MenuItem[]`
Menu.`getItems()`
Returns a (possibly empty) array of `MenuItem`s which are the items in the receiver.
`MenuItem`
Menu.`getParentItem()`
Returns the receiver's parent item, which must be a `MenuItem` or null when the receiver is a root.
Methods in org.eclipse.swt.widgets with parameters of type MenuItem
Modifier and Type
Method
Description
`int`
Menu.`indexOf(MenuItem item)`
Searches the receiver's list starting at the first item (index 0) until an item is found that is equal to the argument, and returns the index of that item.
`void`
Menu.`setDefaultItem(MenuItem item)`
Sets the default menu item to the argument or removes the default emphasis when the argument is `null`.
Constructors in org.eclipse.swt.widgets with parameters of type MenuItem
Modifier
Constructor
Description
``
`Menu(MenuItem parentItem)`
Constructs a new instance of this class given its parent (which must be a `MenuItem`) and sets the style for the instance so that the instance will be a drop-down menu on the given parent's parent menu.

## Uses of MenuItem in org.eclipse.ui.help

Methods in org.eclipse.ui.help with parameters of type MenuItem
Modifier and Type
Method
Description
`void`
IWorkbenchHelpSystem.`setHelp(MenuItem item, String helpContextId)`
Sets the given help id on the given menu item.